- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# awall – Manage awall policies

New in version 2.4.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- This modules allows for enable/disable/activate of awall policies.
- Alpine Wall (awall) generates a firewall configuration from the enabled policy files and activates the configuration on the system.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
activate boolean | Choices: no ← yes | Activate the new firewall rules. Can be run with other steps or on its own.
name list |  | One or more policy names.
state string | Choices: disabled enabled ← | Whether the policies should be enabled or disabled.

## Examples

    - name: Enable "foo" and "bar" policy
      awall:
        name: [ foo bar ]
        state: enabled

    - name: Disable "foo" and "bar" policy and activate new rules
      awall:
        name:
        - foo
        - bar
        state: disabled
        activate: no

    - name: Activate currently enabled firewall rules
      awall:
        activate: yes

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ted Trask (@tdtrask) <ttrask01@yahoo.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.